#ifndef FLASHMEM_H
#define FLASHMEM_H

#include "dac.h"

extern unsigned int iec0;
extern unsigned int iec1;
extern unsigned int iec2;
extern unsigned int iec3;
extern unsigned int iec4;
extern __attribute__((far))
unsigned char myBuffer[DAC_HALF_BUFFER_SIZE];
void eraseFlashRow(void);
void readFlashRow(void);
void writeFlashRow(void);
unsigned long readFlashMemory(unsigned int);
unsigned long writeFlashMemory(unsigned int, unsigned long);
void disableInterrupts(void);
void enableInterrupts(void);

#endif
